Bug 385761 - RHEL5 cmirror tracker: unable to reset the copy percentage on a mirror
RHEL5 cmirror tracker: unable to reset the copy percentage on a mirror
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks: 430797
  Show dependency treegraph
 
Reported: 2007-11-15 16:45 EST by Corey Marthaler
Modified: 2010-01-11 21:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-11-15 16:45:24 EST
Description of problem:
[root@taft-04 ~]# lvs -a -o +devices
  LV               VG         Attr   LSize  Origin Snap%  Move Log        Copy%
 Devices                          
  LogVol00         VolGroup00 -wi-ao 66.19G                                    
 /dev/sda2(0)                     
  LogVol01         VolGroup00 -wi-ao  1.94G                                    
 /dev/sda2(2118)                  
  feist            taft       mwi-a-  5.00G                    feist_mlog  20.78
feist_mimage_0(0),feist_mimage_1(0)
  [feist_mimage_0] taft       iwi-ao  5.00G                                    
 /dev/sdb1(0)                     
  [feist_mimage_1] taft       iwi-ao  5.00G                                    
 /dev/sdb2(0)                     
  [feist_mlog]     taft       lwi-ao  4.00M                                    
 /dev/sdb5(0)                     
[root@taft-04 ~]# lvchange -an taft/feist
[root@taft-04 ~]# lvs -a -o +devices
  LV               VG         Attr   LSize  Origin Snap%  Move Log        Copy%
 Devices                          
  LogVol00         VolGroup00 -wi-ao 66.19G                                    
 /dev/sda2(0)                     
  LogVol01         VolGroup00 -wi-ao  1.94G                                    
 /dev/sda2(2118)                  
  feist            taft       mwi---  5.00G                    feist_mlog      
 feist_mimage_0(0),feist_mimage_1(0)
  [feist_mimage_0] taft       iwi---  5.00G                                    
 /dev/sdb1(0)                     
  [feist_mimage_1] taft       iwi---  5.00G                                    
 /dev/sdb2(0)                     
  [feist_mlog]     taft       lwi-ao  4.00M                                    
 /dev/sdb5(0)                     
[root@taft-04 ~]# lvchange --resync taft/feist
  /dev/taft/feist_mlog: not found: device not cleared
  Unable to reset sync status for feist
  Error locking on node taft-01: LV taft/feist_mlog in use: not deactivating
  Error locking on node taft-03: LV taft/feist_mlog in use: not deactivating
  Error locking on node taft-02: LV taft/feist_mlog in use: not deactivating
  Error locking on node taft-04: LV taft/feist_mlog in use: not deactivating
  Failed to deactivate log LV after wiping failed


Version-Release number of selected component (if applicable):
2.6.18-53.el5
cmirror-1.1.0-7
Comment 2 Jonathan Earl Brassow 2008-01-14 17:45:02 EST
doesn't it happen this way on single machine mirroring (rhel4 or rhel5)?  I
don't think this is specific to cluster mirroring...
Comment 3 Corey Marthaler 2008-02-04 10:21:29 EST
This appears to work in the latest code.

[root@grant-02 ~]# lvchange --resync grant/mirror
[root@grant-02 ~]# lvchange -ay grant/mirror
[root@grant-02 ~]# lvs -a -o +devices
  LV                VG         Attr   LSize  Origin Snap%  Move Log        
Copy%  Convert Devices              
  LogVol00          VolGroup00 -wi-ao 72.44G                                   
           /dev/sda2(0)         
  LogVol01          VolGroup00 -wi-ao  1.94G                                   
           /dev/sda2(2318)      
  mirror            grant      mwi-a-  4.00G                    mirror_mlog  
5.96         mirror_mimage_0(0),mirror_mimage_1(0)
  [mirror_mimage_0] grant      Iwi-ao  4.00G                                   
           /dev/sdd1(0)         
  [mirror_mimage_1] grant      Iwi-ao  4.00G                                   
           /dev/sdb1(0)         
  [mirror_mlog]     grant      lwi-ao  4.00M                                   
           /dev/sdb3(0)         


2.6.18-71.el5
lvm2-2.02.32-1.el5
lvm2-cluster-2.02.32-1.el5
cmirror-1.1.8-1.el5
kmod-cmirror-0.1.5-2.el5
Comment 4 Corey Marthaler 2008-02-05 15:57:15 EST
Marking this verified per comment #3.
Comment 6 RHEL Product and Program Management 2008-06-04 18:47:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Jonathan Earl Brassow 2008-06-20 14:44:32 EDT
Devel ack... needs to be verified again

ASSIGNED -> MODIFIED
Comment 8 Corey Marthaler 2008-08-22 11:14:35 EDT
Marking verified again in the following:

2.6.18-104.el5

lvm2-2.02.32-4.el5    BUILT: Fri Apr  4 06:15:19 CDT 2008
lvm2-cluster-2.02.32-4.el5    BUILT: Wed Apr  2 03:56:50 CDT 2008
cmirror-1.1.22-1.el5    BUILT: Thu Jul 24 15:59:03 CDT 2008
kmod-cmirror-0.1.13-2.el5    BUILT: Thu Jul 24 16:00:48 CDT 2008
Comment 10 errata-xmlrpc 2009-01-20 16:26:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.